1,758 瀏覽數

Ubuntu 12.04 + wordpress 3.6

首先 WordPress 對於系統的要求

在使用 WordPress 前你必須先確定你的系統軟體符合他的需求

  • PHP 版本需要大於 5.2.4
    root@ubuntu:~# sudo apt-get install apache2
    
  • MySQL 版本需要大於 5.0
    root@ubuntu:~# sudo apt-get install mysql-server
    

以上是 WordPress 3.2 對於系統的需求. 至於舊版的 WordPress 3.1 需要 PHP 4.3 以及 MySQL 4.1.2.

所以我參考了 http://benjr.tw/11056 以及官網的 Installing WordPress

root@ubuntu:/var/www/html# wget https://wordpress.org/latest.zip
root@ubuntu:~# unzip latest.zip 
root@ubuntu:~# mv -rf wordpress/* ./

透過 web browser 瀏覽器連上你 http: 但是卻出現了亂碼.
雿� PHP 隡潔�蝻箏� WordPress �€閬� MySQL �游��辣��
啥!!這是什麼鬼阿!!換成 wordPress 英文版看看
Your PHP installation appears to be missing the MySQL extension which is required by WordPress.
你的 PHP 似乎缺少 WordPress 需要的 MySQL 擴充元件

參考了 nixcraft 好像是還缺少安裝 php5-mysql 了.

root@ubuntu:~# apt-get install php5-mysql
root@ubuntu:~# /etc/init.d/apache2 restart
 * Restarting web server apache2                                                
AH00558: apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1. Set the 'ServerName' directive globally to suppress this message
[ OK ]

安裝完之後就可以使用了.
還要需要建立資料,請參考 http://benjr.tw/12461 ,並將下面資料填入 wp-config.php 裡面.

  • Database Name
  • Username
  • Password
  • Database Host
  • Table Prefix

wordpress_3-41-46

發表迴響